import 'dart:convert';
import 'package:http/http.dart' as http;
import 'package:practica1_flutter/src/models/category_model.dart';

class CategoryService {
  static const String _baseUrl = 'https://basic2.visorus.com.mx';
  Future<Map<String, dynamic>> addCategory(CategoryModel category) async {
    final String url = '$_baseUrl/categoria';

    final Map<String, dynamic> categoryData = category.toJson();

    try {
      final http.Response response = await http.post(
        Uri.parse(url),
        body: json.encode({"data": [categoryData]}),
        headers: {'Content-Type': 'application/json'},
      );

      if (response.statusCode == 200) {
        return {"statusCode": response.statusCode, "body": json.decode(response.body)};
      } else {
        return {"statusCode": response.statusCode, "body": response.body};
      }
    } catch (e) {
      return {"statusCode": 501, "body": '$e'};
    }
  }
}
