import 'package:connectivity_plus/connectivity_plus.dart';
// verificar el valor de connectivityResult.

// nos ermite verificar el tipo de conexión a internet que está disponible en el
// dispositivo y luego muestra un mensaje en la consola en función del tipo de red detectado.
Future<void> checkConnectivity() async {
  final ConnectivityResult connectivityResult = await (Connectivity().checkConnectivity());

  if (connectivityResult == ConnectivityResult.mobile) {
    print("Mobile network available.");
  } else if (connectivityResult == ConnectivityResult.wifi) {
    print("Wi-fi available.");
  } else if (connectivityResult == ConnectivityResult.ethernet) {
    print("Ethernet connection available.");
  } else if (connectivityResult == ConnectivityResult.vpn) {
    print("VPN connection active.");
  } else if (connectivityResult == ConnectivityResult.bluetooth) {
    print("Bluetooth connection available.");
  } else if (connectivityResult == ConnectivityResult.other) {
    print("Connected to other type of network.");
  } else if (connectivityResult == ConnectivityResult.none) {

    // No hay tipos de red disponibles.
    print("No available network types.");
  }
}
